%define upstream_name    String-Flogger
%define upstream_version 1.101246

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    String munging for loggers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
Requires:   perl(JSON)
%{?perl_default_filter}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Nov 04 2022 tv <tv> 1.101.246-1.mga9
+ Revision: 1902558
- update to 1.101246

* Sun Mar 20 2022 umeabot <umeabot> 1.101.245-9.mga9
+ Revision: 1805783
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.101.245-8.mga8
+ Revision: 1497212
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.101.245-7.mga7
+ Revision: 1271232
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.101.245-6.mga6
+ Revision: 1033358
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.101.245-5.mga6
+ Revision: 930218
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.101.245-4.mga5
+ Revision: 750650
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.101.245-3.mga5
+ Revision: 733417
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.101.245-2.mga5
+ Revision: 686243
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 sander85 <sander85> 1.101.245-1.mga5
+ Revision: 661428
- update to 1.101245

* Fri Feb 07 2014 sander85 <sander85> 1.101.244-1.mga5
+ Revision: 585103
- update to 1.101244

* Sat Oct 19 2013 umeabot <umeabot> 1.101.243-2.mga4
+ Revision: 525996
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1.101.243-1.mga4
+ Revision: 435086
- update to 1.101243

* Sun Jan 13 2013 umeabot <umeabot> 1.101.242-2.mga3
+ Revision: 372786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.101.242-1.mga3
+ Revision: 255479
- update to 1.101242

* Tue Feb 22 2011 jquelin <jquelin> 1.101.241-1.mga1
+ Revision: 56828
- update to 1.101241

* Thu Jan 20 2011 jquelin <jquelin> 1.101.240-1.mga1
+ Revision: 27006
- mageia rebuild
- imported package perl-String-Flogger

